EasyPlayDeveloper
EndpointsStadiums

Get stadium by ID

GET
/stadiums/{stadiumId}

Authorization

API Client JWT
AuthorizationBearer <token>

JWT issued by POST /api_clients/token (clientId + clientSecret).

In: header

Path Parameters

stadiumId*string

ID of the stadium

Response Body

application/json

curl -X GET "https://example.com/stadiums/string"
{  "apiId": "123",  "apiType": "FOTBALLDATA",  "childrenStadiums": [    {      "stadiumId": "123456",      "stadiumName": "Haslum KG 9er A",      "stadiumSize": "9",      "stadiumZone": "A"    }  ],  "closedToPublic": true,  "closedToPublicFromDate": "2023-09-01",  "closedToPublicToDate": "2023-09-10",  "clubId": "club123",  "description": "A large stadium with a capacity of 10,000",  "name": "Awesome Stadium",  "price": {    "activated": true,    "addOnPriceForBooking": {      "price": 100,      "fromTime": "09:00",      "toTime": "17:00"    },    "autoAcceptBooking": true,    "pricePerHourForBooking": 100,    "segment": "stadium_price",    "taxId": "1234567890",    "type": "per_hour",    "zones": [      {        "zoneId": "11",        "price": 100,        "rules": [          {            "price": 100,            "weekDays": [              1,              2,              3,              4,              5            ],            "fromTime": "09:00",            "toTime": "17:00"          }        ]      }    ]  },  "sendBookingToEventClub": false,  "showClubLogoOnEvents": false,  "bookingHiddenFields": [],  "bookingHiddenZones": [],  "size": "9",  "surfaceName": "Gress",  "timeAdded": "2023-09-08T12:34:56Z",  "typeId": "1",  "bookingTimeLimit": {    "value": 10,    "unit": "minutes"  },  "bookingTimeDuration": {    "value": 10,    "unit": "minutes"  },  "bookingTimeInterval": {    "value": 10,    "unit": "minutes"  },  "bookingTimeMinimum": {    "value": 10,    "unit": "minutes"  },  "bookingTimeMaximum": {    "value": 10,    "unit": "minutes"  },  "lastUsedActivityType": "TRENING",  "lastUsedOtherActivityType": "Cup",  "categoryId": "cat123",  "category": {    "name": "Klubbhus",    "slug": "klubbhus",    "sortIndex": 0,    "anonymizeByDefault": false,    "id": "abc123"  },  "anonymizeBookingsExternally": false,  "id": "abc123"}